Loading...
Searching...
No Matches
cpe_version_iterator Struct Reference
CPE » CPE Dictionary

Iterator over CPE dictionary item versions. More...

`#include <cpe_dict.h>`

## Public Member Functions

Iterators
OSCAP_API struct cpe_version * | cpe_version_iterator_next (struct cpe_version_iterator *it)
| Iterator over CPE version items.
OSCAP_API bool | cpe_version_iterator_has_more (struct cpe_version_iterator *it)
| Iterator over CPE version items.
OSCAP_API void | cpe_version_iterator_free (struct cpe_version_iterator *it)
| Iterator over CPE version items.
OSCAP_API void | cpe_version_iterator_remove (struct cpe_version_iterator *it)
OSCAP_API void | cpe_version_iterator_reset (struct cpe_version_iterator *it)

## Detailed Description

Iterator over CPE dictionary item versions.

See also
  oscap_iterator

The documentation for this struct was generated from the following file:

- cpe_dict.h